Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 150020 - <gnome-base/gnome-vfs-2.18 - totem dosen't stream from samba network
Summary: <gnome-base/gnome-vfs-2.18 - totem dosen't stream from samba network
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords:
Depends on:
Blocks: gnome2.18
  Show dependency tree
 
Reported: 2006-10-03 17:59 UTC by Diego Alcorta
Modified: 2008-12-04 09:57 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Alcorta 2006-10-03 17:59:29 UTC
Portage 2.1.1 (default-linux/x86/2006.1/desktop, gcc-4.1.1, glibc-2.4-r3, 2.6.17-gentoo-r8 i686)
=================================================================
System uname: 2.6.17-gentoo-r8 i686 Intel(R) Pentium(R) M processor 1500MHz
Gentoo Base System version 1.12.5
Last Sync: Mon, 02 Oct 2006 06:00:07 +0000
app-admin/eselect-compiler: [Not Present]
dev-java/java-config: 1.3.7, 2.0.30
dev-lang/python:     2.4.3-r4
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O2 -fomit-frame-pointer -pipe -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=pentium-m -O2 -fomit-frame-pointer -pipe -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks fixpackages metadata-transfer parallel-fetch prelink sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="es_ES.UTF-8"
LC_ALL="es_ES.UTF-8"
LINGUAS="es"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.1/gentoo-portage"
USE="x86 X acpi alsa berkdb bitmap-fonts bzip2 cairo cdr cli crypt cups dbus dlloader dri dvd dvdr eds elibc_glibc emboss encode esd fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal input_devices_evdev input_devices_keyboard input_devices_mouse input_devices_synaptics ipv6 isdnlog ithreads java jpeg justify kernel_linux ldap libg++ linguas_es mad mikmod mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre perl png ppds pppd python quicktime readline reflection sdl session spell spl sse2 ssl tcl tcpd threads tk truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_ati video_cards_radeon vorbis win32codecs xml xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS


sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2
sys-devel/binutils:  2.16.1-r3
sys-devel/gcc-config: 1.3.13-r3
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.17-r1
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-march=pentium-m -O2 -fomit-frame-pointer -pipe -mfpmath=sse"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/env.d /etc/env.d/java/ /etc/gconf /etc/java-config/vms/ /etc/revdep-rebuild /etc/terminfo"
CXXFLAGS="-march=pentium-m -O2 -fomit-frame-pointer -pipe -mfpmath=sse"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distlocks fixpackages metadata-transfer parallel-fetch prelink sandbox sfperms strict userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LANG="es_ES.UTF-8"
LC_ALL="es_ES.UTF-8"
LINGUAS="es"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --delete-after --stats --timeout=180 --exclude='/distfiles' --exclude='/local' --exclude='/packages'"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://192.168.0.1/gentoo-portage"
USE="x86 X acpi alsa berkdb bitmap-fonts bzip2 cairo cdr cli crypt cups dbus dlloader dri dvd dvdr eds elibc_glibc emboss encode esd fam firefox fortran gdbm gif gnome gpm gstreamer gtk hal input_devices_evdev input_devices_keyboard input_devices_mouse input_devices_synaptics ipv6 isdnlog ithreads java jpeg justify kernel_linux ldap libg++ linguas_es mad mikmod mp3 mpeg ncurses nls nptl nptlonly ogg opengl oss pam pcre perl png ppds pppd python quicktime readline reflection sdl session spell spl sse2 ssl tcl tcpd threads tk truetype truetype-fonts type1-fonts udev unicode userland_GNU video_cards_ati video_cards_radeon vorbis win32codecs xml xorg xv zlib"
Unset:  CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LDFLAGS, MAKEOPTS, PORTAGE_RSYNC_EXTRA_OPTS

[ebuild   R   ] media-video/totem-2.16.1  USE="a52 dbus dvd firefox flac gnome hal mad mpeg nsplugin ogg theora vorbis xine xv -debug -lirc -nvtv" 0 kB

totem can stream from webpages, but when I double click on a file with a url smb:// it dosen't do anything( it only buffers )
Comment 1 Gilles Dartiguelongue gentoo-dev 2006-11-06 09:10:14 UTC
upstream bug is http://bugzilla.gnome.org/show_bug.cgi?id=351322
Comment 2 Gilles Dartiguelongue gentoo-dev 2006-12-10 16:48:40 UTC
hi guys, with 

totem-2.16.4 and gnome-vfs-2.16.3 (updated from about one week ago) I am now able to see video from samba shares directly again. I have not tested music yet but it should work too.
Comment 3 Dekel Amrani 2007-01-01 00:10:47 UTC
(In reply to comment #2)
> hi guys, with 
> 
> totem-2.16.4 and gnome-vfs-2.16.3 (updated from about one week ago) I am now
> able to see video from samba shares directly again. I have not tested music yet
> but it should work too.
> 

I have totem .2.16.4 and gnome-vfs-2.16.3 installed and it dosent work.
Running Gentoo 2006.1.

According to the upstream bug gnome dev has decided to fix it only in gnome-2.18

However the bug is marked resolved it is not fixed in 2.16.
Comment 4 Gilles Dartiguelongue gentoo-dev 2007-03-27 11:28:06 UTC
is your samba share password protected ?
Comment 5 Rémi Cardona gentoo-dev 2007-09-02 17:28:09 UTC
gnome-vfs 2.18.x has been marked stable. Is this bug still an issue?
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2008-01-10 12:06:29 UTC
Get back to us please if you have issues w/ 2.20.1...
Comment 7 Roman Krylov 2008-12-04 09:57:08 UTC
same problem
gnome-vfs 2.22.0 with samba USE flag
gvfs 0.2.5-r3 with samba USE flag
nautilus 2.22.4
samba 3.0.33

nautilus works fine with smb, but totem and audacious do not open files